Panda3D

Loading...
Searching...
No Matches
Functions
weakNodePath.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
| PT (PandaNode) WeakNodePath
| Returns the PandaNode held within this object, or nullptr if the object was deleted.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2004-09-29

Definition in file weakNodePath.I.

## Function Documentation

## ◆ PT()

PT | ( | PandaNode |  | ) |
| inline

Returns the PandaNode held within this object, or nullptr if the object was deleted.

Returns true if the two paths are equivalent; that is, if they contain the same list of nodes in the same order.

Returns true if the two paths are not equivalent.

Returns true if this NodePath sorts before the other one, false otherwise. The sorting order of two nonequivalent NodePaths is consistent but undefined, and is useful only for storing NodePaths in a sorted container like an STL set.

Returns a number less than zero if this NodePath sorts before the other one, greater than zero if it sorts after, or zero if they are equivalent.

Two NodePaths are considered equivalent if they consist of exactly the same list of nodes in the same order. Otherwise, they are different; different NodePaths will be ranked in a consistent but undefined ordering; the ordering is useful only for placing the NodePaths in a sorted container like an STL set.

Returns true if the two paths are equivalent; that is, if they contain the same list of nodes in the same order.

Returns true if the two paths are not equivalent.

Returns true if this WeakNodePath sorts before the other one, false otherwise. The sorting order of two nonequivalent WeakNodePaths is consistent but undefined, and is useful only for storing WeakNodePaths in a sorted container like an STL set.

Returns a number less than zero if this WeakNodePath sorts before the other one, greater than zero if it sorts after, or zero if they are equivalent.

Two WeakNodePaths are considered equivalent if they consist of exactly the same list of nodes in the same order. Otherwise, they are different; different WeakNodePaths will be ranked in a consistent but undefined ordering; the ordering is useful only for placing the WeakNodePaths in a sorted container like an STL set.

Returns the same values as NodePath::get_key().

Definition at line 112 of file weakNodePath.I.

References WeakPointerTo< T >::lock().